$(() => {
let isFirstLevel = true;
const chartContainer = $('#chart');
const chart = chartContainer.dxChart({
dataSource: filterData(''),
title: 'The Most Populated Countries by Continents',
series: {
type: 'bar',
},
legend: {
visible: false,
},
valueAxis: {
showZero: false,
},
onPointClick(e) {
if (isFirstLevel) {
isFirstLevel = false;
removePointerCursor(chartContainer);
chart.option({
dataSource: filterData(e.target.originalArgument),
});
$('#backButton')
.dxButton('instance')
.option('visible', true);
}
},
customizePoint() {
const pointSettings = {
color: colors[Number(isFirstLevel)],
};
if (!isFirstLevel) {
pointSettings.hoverStyle = {
hatching: 'none',
};
}
return pointSettings;
},
}).dxChart('instance');
$('#backButton').dxButton({
text: 'Back',
icon: 'chevronleft',
visible: false,
onClick() {
if (!isFirstLevel) {
isFirstLevel = true;
addPointerCursor(chartContainer);
chart.option('dataSource', filterData(''));
this.option('visible', false);
}
},
});
addPointerCursor(chartContainer);
});
function filterData(name) {
return data.filter((item) => item.parentID === name);
}
function addPointerCursor(container) {
container.addClass('pointer-on-bars');
}
function removePointerCursor(container) {
container.removeClass('pointer-on-bars');
}
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.3/css/dx.light.css" />
<script src="https://cdn3.devexpress.com/jslib/22.1.3/js/dx.all.js"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="chart"></div>
<div class="button-container">
<div id="backButton"></div>
</div>
</div>
</body>
</html>
#chart {
height: 440px;
width: 100%;
}
#chart.pointer-on-bars .dxc-series rect {
cursor: pointer;
}
.button-container {
text-align: center;
height: 40px;
position: absolute;
top: 7px;
left: 0;
}
const colors = ['#6babac', '#e55253'];
const data = [
{ arg: 'Asia', val: 3007613498, parentID: '' },
{ arg: 'North America', val: 493603615, parentID: '' },
{ arg: 'Europe', val: 438575293, parentID: '' },
{ arg: 'Africa', val: 381331438, parentID: '' },
{ arg: 'South America', val: 331126555, parentID: '' },
{ arg: 'Nigeria', val: 181562056, parentID: 'Africa' },
{ arg: 'Egypt', val: 88487396, parentID: 'Africa' },
{ arg: 'Congo', val: 77433744, parentID: 'Africa' },
{ arg: 'Morocco', val: 33848242, parentID: 'Africa' },
{ arg: 'China', val: 1380083000, parentID: 'Asia' },
{ arg: 'India', val: 1306687000, parentID: 'Asia' },
{ arg: 'Pakistan', val: 193885498, parentID: 'Asia' },
{ arg: 'Japan', val: 126958000, parentID: 'Asia' },
{ arg: 'Russia', val: 146804372, parentID: 'Europe' },
{ arg: 'Germany', val: 82175684, parentID: 'Europe' },
{ arg: 'Turkey', val: 79463663, parentID: 'Europe' },
{ arg: 'France', val: 66736000, parentID: 'Europe' },
{ arg: 'United Kingdom', val: 63395574, parentID: 'Europe' },
{ arg: 'United States', val: 325310275, parentID: 'North America' },
{ arg: 'Mexico', val: 121005815, parentID: 'North America' },
{ arg: 'Canada', val: 36048521, parentID: 'North America' },
{ arg: 'Cuba', val: 11239004, parentID: 'North America' },
{ arg: 'Brazil', val: 205737996, parentID: 'South America' },
{ arg: 'Colombia', val: 48400388, parentID: 'South America' },
{ arg: 'Venezuela', val: 30761000, parentID: 'South America' },
{ arg: 'Peru', val: 28220764, parentID: 'South America' },
{ arg: 'Chile', val: 18006407, parentID: 'South America' },
];

<template>
<div>
<DxChart
id="chart"
:customize-point="customizePoint"
:class="isFirstLevel ? 'pointer-on-bars' : ''"
:data-source="dataSource"
title="The Most Populated Countries by Continents"
@point-click="onPointClick"
>
<DxSeries type="bar"/>
<DxValueAxis :show-zero="false"/>
<DxLegend :visible="false"/>
</DxChart>
<DxButton
:visible="!isFirstLevel"
class="button-container"
text="Back"
icon="chevronleft"
@click="onButtonClick"
/>
</div>
</template>
<script>
import {
DxChart,
DxSeries,
DxValueAxis,
DxLegend,
} from 'devextreme-vue/chart';
import { DxButton } from 'devextreme-vue/button';
import service from './data.js';
const colors = ['#6babac', '#e55253'];
export default {
components: {
DxChart,
DxSeries,
DxValueAxis,
DxLegend,
DxButton,
},
data() {
return {
isFirstLevel: true,
dataSource: service.filterData(''),
};
},
methods: {
customizePoint() {
return {
color: colors[Number(this.isFirstLevel)],
hoverStyle: !this.isFirstLevel ? {
hatching: 'none',
} : {},
};
},
onPointClick({ target }) {
if (this.isFirstLevel) {
this.isFirstLevel = false;
this.dataSource = service.filterData(target.originalArgument);
}
},
onButtonClick() {
if (!this.isFirstLevel) {
this.isFirstLevel = true;
this.dataSource = service.filterData('');
}
},
},
};
</script>
<style>
#chart {
height: 440px;
width: 100%;
}
#chart.pointer-on-bars .dxc-series rect {
cursor: pointer;
}
.button-container {
text-align: center;
height: 40px;
position: absolute;
top: 7px;
left: 0;
}
</style>
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/22.1.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.js");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>
const data = [
{ arg: 'Asia', val: 3007613498, parentID: '' },
{ arg: 'North America', val: 493603615, parentID: '' },
{ arg: 'Europe', val: 438575293, parentID: '' },
{ arg: 'Africa', val: 381331438, parentID: '' },
{ arg: 'South America', val: 331126555, parentID: '' },
{ arg: 'Nigeria', val: 181562056, parentID: 'Africa' },
{ arg: 'Egypt', val: 88487396, parentID: 'Africa' },
{ arg: 'Congo', val: 77433744, parentID: 'Africa' },
{ arg: 'Morocco', val: 33848242, parentID: 'Africa' },
{ arg: 'China', val: 1380083000, parentID: 'Asia' },
{ arg: 'India', val: 1306687000, parentID: 'Asia' },
{ arg: 'Pakistan', val: 193885498, parentID: 'Asia' },
{ arg: 'Japan', val: 126958000, parentID: 'Asia' },
{ arg: 'Russia', val: 146804372, parentID: 'Europe' },
{ arg: 'Germany', val: 82175684, parentID: 'Europe' },
{ arg: 'Turkey', val: 79463663, parentID: 'Europe' },
{ arg: 'France', val: 66736000, parentID: 'Europe' },
{ arg: 'United Kingdom', val: 63395574, parentID: 'Europe' },
{ arg: 'United States', val: 325310275, parentID: 'North America' },
{ arg: 'Mexico', val: 121005815, parentID: 'North America' },
{ arg: 'Canada', val: 36048521, parentID: 'North America' },
{ arg: 'Cuba', val: 11239004, parentID: 'North America' },
{ arg: 'Brazil', val: 205737996, parentID: 'South America' },
{ arg: 'Colombia', val: 48400388, parentID: 'South America' },
{ arg: 'Venezuela', val: 30761000, parentID: 'South America' },
{ arg: 'Peru', val: 28220764, parentID: 'South America' },
{ arg: 'Chile', val: 18006407, parentID: 'South America' },
];
export default {
filterData(name) {
return data.filter((item) => item.parentID === name);
},
};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'devextreme/localization.js': {
'esModule': true,
},
},
paths: {
'npm:': 'https://unpkg.com/',
},
map: {
'vue': 'npm:vue@3.0.0/dist/vue.esm-browser.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.0.15/index.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.28.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@22.1.4/cjs',
'devextreme-vue': 'npm:devextreme-vue@22.1.4',
'jszip': 'npm:jszip@3.7.1/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@1.5.16/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.1.63/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.32/dist/dx-gantt.js',
'@devextreme/runtime': 'npm:@devextreme/runtime@3.0.7',
'inferno': 'npm:inferno@7.4.4/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat@7.4.11/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@7.4.11/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate@7.4.11/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode@7.4.11/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class@7.4.11/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras@7.4.11/dist/inferno-extras.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:@devextreme/runtime@3.0.7/inferno/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
System.config(window.config);

import React from 'react';
import { Chart, Series, Legend, ValueAxis } from 'devextreme-react/chart';
import { Button } from 'devextreme-react/button';
import service from './data.js';
const colors = ['#6babac', '#e55253'];
class App extends React.Component {
constructor(props) {
super(props);
this.state = {
isFirstLevel: true,
data: service.filterData('')
};
this.customizePoint = this.customizePoint.bind(this);
this.onPointClick = this.onPointClick.bind(this);
this.onButtonClick = this.onButtonClick.bind(this);
}
render() {
return (
<div>
<Chart
id="chart"
title="The Most Populated Countries by Continents"
customizePoint={this.customizePoint}
onPointClick={this.onPointClick}
className={this.state.isFirstLevel ? 'pointer-on-bars' : ''}
dataSource={this.state.data}
>
<Series type="bar" />
<ValueAxis showZero={false} />
<Legend visible={false} />
</Chart>
<Button className="button-container"
text="Back"
icon="chevronleft"
visible={!this.state.isFirstLevel}
onClick={this.onButtonClick}
/>
</div>
);
}
customizePoint() {
return {
color: colors[Number(this.state.isFirstLevel)],
hoverStyle: !this.state.isFirstLevel ? {
hatching: 'none'
} : {}
};
}
onPointClick(e) {
if (this.state.isFirstLevel) {
this.setState({
isFirstLevel: false,
data: service.filterData(e.target.originalArgument)
});
}
}
onButtonClick() {
if (!this.state.isFirstLevel) {
this.setState({
isFirstLevel: true,
data: service.filterData('')
});
}
}
}
export default App;
import React from 'react';
import ReactDOM from 'react-dom';
import App from './App.js';
ReactDOM.render(
<App />,
document.getElementById('app')
);
<!DOCTYPE html>
<html>
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.5/css/dx.light.css" />
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import('./index.js');
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"></div>
</div>
</body>
</html>
#chart {
height: 440px;
width: 100%;
}
#chart.pointer-on-bars .dxc-series rect {
cursor: pointer;
}
.button-container {
text-align: center;
height: 40px;
position: absolute;
top: 7px;
left: 0px;
}
const data = [
{ arg: 'Asia', val: 3007613498, parentID: '' },
{ arg: 'North America', val: 493603615, parentID: '' },
{ arg: 'Europe', val: 438575293, parentID: '' },
{ arg: 'Africa', val: 381331438, parentID: '' },
{ arg: 'South America', val: 331126555, parentID: '' },
{ arg: 'Nigeria', val: 181562056, parentID: 'Africa' },
{ arg: 'Egypt', val: 88487396, parentID: 'Africa' },
{ arg: 'Congo', val: 77433744, parentID: 'Africa' },
{ arg: 'Morocco', val: 33848242, parentID: 'Africa' },
{ arg: 'China', val: 1380083000, parentID: 'Asia' },
{ arg: 'India', val: 1306687000, parentID: 'Asia' },
{ arg: 'Pakistan', val: 193885498, parentID: 'Asia' },
{ arg: 'Japan', val: 126958000, parentID: 'Asia' },
{ arg: 'Russia', val: 146804372, parentID: 'Europe' },
{ arg: 'Germany', val: 82175684, parentID: 'Europe' },
{ arg: 'Turkey', val: 79463663, parentID: 'Europe' },
{ arg: 'France', val: 66736000, parentID: 'Europe' },
{ arg: 'United Kingdom', val: 63395574, parentID: 'Europe' },
{ arg: 'United States', val: 325310275, parentID: 'North America' },
{ arg: 'Mexico', val: 121005815, parentID: 'North America' },
{ arg: 'Canada', val: 36048521, parentID: 'North America' },
{ arg: 'Cuba', val: 11239004, parentID: 'North America' },
{ arg: 'Brazil', val: 205737996, parentID: 'South America' },
{ arg: 'Colombia', val: 48400388, parentID: 'South America' },
{ arg: 'Venezuela', val: 30761000, parentID: 'South America' },
{ arg: 'Peru', val: 28220764, parentID: 'South America' },
{ arg: 'Chile', val: 18006407, parentID: 'South America' }
];
export default {
filterData(name) {
return data.filter(function(item) {
return item.parentID === name;
});
}
};
System.config({
transpiler: 'plugin-babel',
meta: {
'devextreme/localization.js': {
"esModule": true
},
},
paths: {
'npm:': 'https://unpkg.com/'
},
defaultExtension: 'js',
map: {
'react': 'npm:react@16.14.0/umd/react.development.js',
'react-dom': 'npm:react-dom@16.14.0/umd/react-dom.development.js',
'prop-types': 'npm:prop-types@15.7.2/prop-types.js',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.5',
'devextreme-react': 'npm:devextreme-react@20.2.5',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.11/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.18/dist/dx-gantt.js',
'preact': 'npm:preact@10.5.11/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.11/hooks/dist/hooks.js',
// SystemJS plugins
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js'
},
packages: {
'devextreme': {
defaultExtension: 'js'
},
'devextreme-react': {
main: 'index.js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
babelOptions: {
sourceMaps: false,
stage0: true,
react: true
}
});

<dx-chart id="chart"
[class]="isFirstLevel?'pointer-on-bars':''"
[dataSource]="dataSource"
(onPointClick)="onPointClick($event)"
title="The Most Populated Countries by Continents"
[customizePoint]="customizePoint">
<dxi-series type="bar"></dxi-series>
<dxo-legend [visible]="false"></dxo-legend>
<dxi-value-axis [showZero]="false"></dxi-value-axis>
</dx-chart>
<dx-button class="button-container"
text="Back"
icon="chevronleft"
[visible]="!isFirstLevel"
(onClick)="onButtonClick()">
</dx-button>
import { NgModule, Component, ElementRef, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { DxChartModule, DxButtonModule } from 'devextreme-angular';
import { Service, DataItem } from './app.service';
if(!/localhost/.test(document.location.host)) {
enableProdMode();
}
@Component({
selector: 'demo-app',
providers: [Service],
templateUrl: 'app/app.component.html',
styleUrls: ['app/app.component.css']
})
export class AppComponent {
dataSource: DataItem[];
colors: string[];
service: Service;
isFirstLevel: boolean;
constructor(service: Service, element: ElementRef) {
this.dataSource = service.filterData("");
this.colors = service.getColors();
this.service = service;
this.isFirstLevel = true;
}
onButtonClick() {
if (!this.isFirstLevel) {
this.isFirstLevel = true;
this.dataSource = this.service.filterData("");
}
}
onPointClick(e) {
if (this.isFirstLevel) {
this.isFirstLevel = false;
this.dataSource = this.service.filterData(e.target.originalArgument);
}
}
customizePoint =() => {
let pointSettings: any;
pointSettings = {
color: this.colors[Number(this.isFirstLevel)]
};
if (!this.isFirstLevel) {
pointSettings.hoverStyle = {
hatching: "none"
};
}
return pointSettings;
}
}
@NgModule({
imports: [
BrowserModule,
DxChartModule,
DxButtonModule
],
declarations: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
platformBrowserDynamic().bootstrapModule(AppModule);
#chart {
height: 440px;
width: 100%;
}
::ng-deep #chart.pointer-on-bars .dxc-series rect {
cursor: pointer;
}
.button-container {
text-align: center;
height: 40px;
position: absolute;
top: 7px;
left: 0px;
}
import { Injectable } from '@angular/core';
export class DataItem {
arg: string;
val: number;
parentID: string;
}
let data: DataItem[] = [
{ arg: "Asia", val: 3007613498, parentID: "" },
{ arg: "North America", val: 493603615, parentID: "" },
{ arg: "Europe", val: 438575293, parentID: "" },
{ arg: "Africa", val: 381331438, parentID: "" },
{ arg: "South America", val: 331126555, parentID: "" },
{ arg: "Nigeria", val: 181562056, parentID: "Africa" },
{ arg: "Egypt", val: 88487396, parentID: "Africa" },
{ arg: "Congo", val: 77433744, parentID: "Africa" },
{ arg: "Morocco", val: 33848242, parentID: "Africa" },
{ arg: "China", val: 1380083000, parentID: "Asia" },
{ arg: "India", val: 1306687000, parentID: "Asia" },
{ arg: "Pakistan", val: 193885498, parentID: "Asia" },
{ arg: "Japan", val: 126958000, parentID: "Asia" },
{ arg: "Russia", val: 146804372, parentID: "Europe" },
{ arg: "Germany", val: 82175684, parentID: "Europe" },
{ arg: "Turkey", val: 79463663, parentID: "Europe" },
{ arg: "France", val: 66736000, parentID: "Europe" },
{ arg: "United Kingdom", val: 63395574, parentID: "Europe" },
{ arg: "United States", val: 325310275, parentID: "North America" },
{ arg: "Mexico", val: 121005815, parentID: "North America" },
{ arg: "Canada", val: 36048521, parentID: "North America" },
{ arg: "Cuba", val: 11239004, parentID: "North America" },
{ arg: "Brazil", val: 205737996, parentID: "South America" },
{ arg: "Colombia", val: 48400388, parentID: "South America" },
{ arg: "Venezuela", val: 30761000, parentID: "South America" },
{ arg: "Peru", val: 28220764, parentID: "South America" },
{ arg: "Chile", val: 18006407, parentID: "South America" }
];
let colors: string[] = ["#6babac", "#e55253"];
@Injectable()
export class Service {
filterData(name): DataItem[] {
return data.filter(function (item) {
return item.parentID === name;
});
}
getColors(): string[] {
return colors;
}
}
// In real applications, you should not transpile code in the browser. You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
System.config({
transpiler: 'ts',
typescriptOptions: {
module: "system",
emitDecoratorMetadata: true,
experimentalDecorators: true
},
meta: {
'typescript': {
"exports": "ts"
},
'devextreme/localization.js': {
"esModule": true
}
},
paths: {
'npm:': 'https://unpkg.com/'
},
map: {
'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js',
'typescript': 'npm:typescript@3.5.3/lib/typescript.js',
'@angular': 'npm:@angular',
'tslib': 'npm:tslib@2.0.3/tslib.js',
'rxjs': 'npm:rxjs@6.3.3',
'rrule': 'npm:rrule@2.6.6/dist/es5/rrule.js',
'luxon': 'npm:luxon@1.25.0/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign@1.1.0',
'devextreme': 'npm:devextreme@20.2.4',
'jszip': 'npm:jszip@3.5.0/dist/jszip.min.js',
'devextreme-quill': 'npm:devextreme-quill@0.9.7/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.0.5',
'devexpress-gantt': 'npm:devexpress-gantt@2.0.8',
'devextreme-angular': 'npm:devextreme-angular@20.2.4',
'preact': 'npm:preact@10.5.7/dist/preact.js',
'preact/hooks': 'npm:preact@10.5.7/hooks/dist/hooks.js'
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts'
},
'devextreme': {
defaultExtension: 'js'
},
'devextreme/events/utils': {
main: 'index'
},
'devextreme/events': {
main: 'index'
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js'
}
},
packageConfigPaths: [
"npm:@angular/*/package.json",
"npm:@angular/common/*/package.json",
"npm:rxjs/package.json",
"npm:rxjs/operators/package.json",
"npm:devextreme-angular/*/package.json",
"npm:devextreme-angular/ui/*/package.json",
"npm:devextreme-angular/package.json",
"npm:devexpress-diagram/package.json",
"npm:devexpress-gantt/package.json",
]
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.common.css" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/20.2.4/css/dx.light.css" />
<script src="https://unpkg.com/core-js@2.4.1/client/shim.min.js"></script>
<script src="https://unpkg.com/zone.js@0.10.2/dist/zone.js"></script>
<script src="https://unpkg.com/reflect-metadata@0.1.3/Reflect.js"></script>
<script src="https://unpkg.com/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import('app').catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>